const dropdownLinks = document.querySelectorAll(".nav-link-dropdown");
dropdownLinks.forEach((link) => {
    link.addEventListener("click", function (e) {
        e.preventDefault();
        const dropdownBody = this.nextElementSibling;
        if (
            dropdownBody.style.display === "none" ||
            dropdownBody.style.display === ""
        ) {
            dropdownBody.style.display = "flex";
        } else {
            dropdownBody.style.display = "none";
        }
    });
});

const searchInput = document.querySelector(
    '.search-bar-wrapper input[type="text"]'
);
const searchWrapper = document.querySelector(".search-bar-wrapper");

searchInput.addEventListener("focus", function () {
    searchWrapper.classList.add("expanded");
});

searchInput.addEventListener("blur", function () {
    if (this.value.trim() === "") {
        searchWrapper.classList.remove("expanded");
    }
});

searchInput.addEventListener("input", function () {
    if (this.value.trim() !== "") {
        searchWrapper.classList.add("expanded");
        searchWrapper.classList.remove("expanded");
    }
});
