<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    @stack('styles')
    {{-- <link
      rel="stylesheet"
      href="./assets/libraries/apexcharts/apexcharts.css"
    /> --}}
    <link rel="stylesheet" href="{{url("/assets/css/style.css")}}" />
  </head>
  <body>
    <header class="header">
      <div class="logo-wrapper">
        <a href="">
          <img src="{{url("assets/images/logo.png")}}" alt="logo" />
        </a>
        <img
          class="hamburger-icon"
          src="{{url("assets/images/icons/hamburger.png")}}"
          alt="hamburger-open"
        />
      </div>
      <div class="header-content-wrapper">
        <img
          class="hamburger-icon hamburger-mobile"
          src="{{url("assets/images/icons/hamburger-close.png")}}"
          alt="hamburger-close"
        />
        <div class="header-content">
          <div class="user-content-container">
            <div class="user-image">
              <img src="{{url("assets/images/user.png")}}" alt="user-image" />
            </div>
            <div class="user-details">
              <h2>ADMIN 00</h2>
              <h4>hello@admin.com</h4>
            </div>
          </div>
          <div class="search-icons-container">
            <div class="search-bar-wrapper">
              <img
                src="{{url("assets/images/icons/search-icon.svg")}}"
                alt="search-icon"
                class="search-icon"
              />
              <input type="text" name="search" placeholder="Search...." />
            </div>
            <div class="icon-container">
              <img src="{{url("assets/images/icons/Bell.png")}}" alt="bell" />
            </div>
            <div class="icon-container">
              <img src="{{url("assets/images/icons/Mail.png")}}" alt="mail" />
            </div>
            <div class="icon-container">
              <img src="{{url("assets/images/icons/logout.png")}}" alt="logout" />
            </div>
          </div>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <aside class="side-navigation">
        <div>
          <a href="" class="nav-link link-active">
            <img
              src="{{url("assets/images/icons/dashboard-icon.png")}}"
              alt="dashboard-icon"
            />
            <span>Dashboard</span>
          </a>
          <div class="dropdown-link-wrapper">
            <a href=" " class="nav-link nav-link-dropdown">
              <img
                src="{{url("assets/images/icons/users-icon.png")}}"
                alt="users-icon"
              />
              <span>Banners</span>
              <img
                src="{{url("assets/images/icons/icon-dropdown.png")}}"
                alt="dropdown-arrow"
                class="dropdown-icon"
              />
            </a>
            <div class="dropdown-link-body">
              <a href="{{ route('banners') }}">All Banners</a>
              <a href="{{ route('banners.add') }}">Add Banner</a>
            </div>
          </div>
          <div class="dropdown-link-wrapper">
            <a href=" " class="nav-link nav-link-dropdown">
              <img
                src="{{url("assets/images/icons/users-icon.png")}}"
                alt="users-icon"
              />
              <span>Users</span>
              <img
                src="{{url("assets/images/icons/icon-dropdown.png")}}"
                alt="dropdown-arrow"
                class="dropdown-icon"
              />
            </a>
            <div class="dropdown-link-body">
              <a href="{{ route('users') }}">All Users</a>
              <a href="{{ route('users.add') }}">Add User</a>
            </div>
          </div>
        </div>




        <div class="footer-links-wrapper">
         
        </div>
      </aside>